glab(1)

NAME
glab-schedule-list - List pipeline schedules in a project.

SYNOPSIS
glab schedule list [flags]

DESCRIPTION
List CI/CD pipeline schedules in a project. By default, schedules are listed for the current project. Use --repo to target another project.

Use --output json to format the result as JSON for use with other tools.

OPTIONS
--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # List schedules for the current project
    glab schedule list
    # List schedules in another project
    glab schedule list -R owner/repo
    # List schedules as JSON
    glab schedule list --output json

SEE ALSO
glab-schedule(1)